import { capitalize } from "../../utils";
import './ProjectStatusBadge.sass';

type Props = {
    status: ProjectStatus
}
const localized = {
    development: 'В разработке',
    release: 'Готово',
    freeze: 'Заморожено',
    dropped: 'Брошено'
}

const ProjectStatusBadge = ({ status }: Props) => {
  return (
    <div className={`ProjectStatus ProjectStatus__${capitalize(status)}`}>
        {localized[status]}
    </div>
  );
}

export default ProjectStatusBadge;